package domain


type AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto struct {
    /*
        赠品总限量/店     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        赠品每日总限量/店     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        赠品每人限量/店     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        赠品每人每日限量/店     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingBuygiftActivitySkuAddLimitDto {
    s.UserDailyLimitCnt = &v
    return s
}
